Skip to main content
GET
/
v1
/
wikis
/
{wiki_id}
/
sources
/
search
Search Sources
curl --request GET \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/sources/search \
  --header 'Authorization: Bearer <token>'
[
  {
    "area": "<string>",
    "created_at": "<string>",
    "folder": "<string>",
    "import_batch_id": "<string>",
    "mime_type": "<string>",
    "name": "<string>",
    "original_filename": "<string>",
    "path": "<string>",
    "sha256": "<string>",
    "size_bytes": 123,
    "source_id": "<string>",
    "status_label": "<string>",
    "updated_at": "<string>",
    "wiki_id": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

wiki_id
string
required

Query Parameters

q
string
required
limit
integer
default:50
offset
integer
default:0

Response

Successful Response

area
string
required
created_at
string
required
folder
string
required
import_batch_id
string | null
required
mime_type
string | null
required
name
string
required
original_filename
string
required
path
string
required
sha256
string | null
required
size_bytes
integer | null
required
source_id
string
required
status
enum<string>
required
Available options:
uploaded,
completed,
failed
status_label
string
required
status_state
enum<string>
required
Available options:
ready,
running,
failed,
unknown
updated_at
string
required
wiki_id
string
required